// file:CCallerSample.hxx
/** @file
 * @brief サンプルプログラムヘッダファイル。
 * 
 * CCallerSampleクラスの宣言を記述。
 * @author yanch
 * @date 2006-10-21 作成
 * @date 2006-11-19 propファイルのパラメタ区切りにスペースが無い場合に対応
 * @date 2006-11-19 propファイルのパラメタ区切り文字にタブを使える様に対応
 * @date 2007-11-16 namespace に対応
 * @date 2007-11-16 unicode に対応
 * @date 2007-11-16 ソースファイルの拡張子をgccにならい、「.cxx」とした。
 * @date 2007-11-16 ヘッダファイルの拡張子を「.hxx」とした。
 * $Revision: 1.004$
 */
#ifndef CCALLERSAMPLE_HXX_
#define CCALLERSAMPLE_HXX_

#include <cfp/logger/CLogger.hxx>

class CCallerSample;

/**
 * @brief サンプルプログラム・クラス。
 * 
 * cfp::logger::CLoggerクラスの使用例。
 */
class CCallerSample
{
protected:
	static cfp::logger::CLogger logger;
	CCallerSample();

public:
	virtual ~CCallerSample();
	static CCallerSample getInstance();
	int main(int argc, char *argv[]);
};

#endif /*CCALLERSAMPLE_HXX_*/
