// file:Main.cxx
/** @file
 * @brief メインcxxファイル。
 * 
 * CCallerSampleプログラムの呼び出し。
 * @author yanch
 * @date 2006-10-21 作成
 * @date 2006-11-19 propファイルのパラメタ区切りにスペースが無い場合に対応
 * @date 2006-11-19 propファイルのパラメタ区切り文字にタブを使える様に対応
 * @date 2007-11-16 namespace に対応
 * @date 2007-11-16 unicode に対応
 * @date 2007-11-16 ソースファイルの拡張子をgccにならい、「.cxx」とした。
 * @date 2007-11-16 ヘッダファイルの拡張子を「.hxx」とした。
 * $Revision: 1.004$
 */
#define STRICT
#include "CCallerSample.hxx"

/**
 * メイン関数。
 * 
 * @param[in] argc main関数のパラメタ
 * @param[in] *argv[] main関数のパラメタ
 * @return 戻り値
 */
int main(int argc, char *argv[])
{
	CCallerSample caller = CCallerSample::getInstance();
	int iResult = 0;
	
	iResult = caller.main(argc, argv);
	
	return iResult;
}
