// CLoggerStringUtils.hxx
/** @file
 * @brief 文字列・ユーティル・クラス・ヘッダファイル。
 * 
 * 文字列・ユーティル・クラスの宣言を記述。
 * @author yanch
 * @date 2006-10-21 作成
 * @date 2006-11-19 propファイルのパラメタ区切りにスペースが無い場合に対応
 * @date 2006-11-19 propファイルのパラメタ区切り文字にタブを使える様に対応
 * @date 2007-11-16 namespace に対応
 * @date 2007-11-16 unicode に対応
 * @date 2007-11-16 ソースファイルの拡張子をgccにならい、「.cxx」とした。
 * @date 2007-11-16 ヘッダファイルの拡張子を「.hxx」とした。
 * $Revision: 1.004$
 */
#ifndef CLOGGERSTRINGUTILS_HXX_
#define CLOGGERSTRINGUTILS_HXX_

namespace cfp
{
namespace logger
{
namespace sub
{
	class CLoggerStringUtils;
	
	/**
	 * @brief 文字列・ユーティル・クラス。
	 * 
	 * 文字列に関するユーティルクラス。
	 */
	class CLoggerStringUtils
	{
	public:
		static int convertUtf8ToUtf16(wchar_t *dest, size_t dest_size
				, char *src, size_t src_size);
		static int convertUtf16ToUtf8(char *dest, size_t dest_size
				, wchar_t *src, size_t src_size);
	};
}
}
}

#endif /*CLOGGERSTRINGUTILS_HXX_*/
