// file:CLogger.hxx
/** @file
 * @brief cfpロッガー・クラス・ヘッダファイル
 * 
 * cfpロッガー・クラスの宣言を記述。
 * @author yanch
 * @date 2006-10-21 作成
 * @date 2006-11-19 propファイルのパラメタ区切りにスペースが無い場合に対応
 * @date 2006-11-19 propファイルのパラメタ区切り文字にタブを使える様に対応
 * @date 2007-11-16 namespace に対応
 * @date 2007-11-16 unicode に対応
 * @date 2007-11-16 ソースファイルの拡張子をgccにならい、「.cxx」とした。
 * @date 2007-11-16 ヘッダファイルの拡張子を「.hxx」とした。
 * $Revision: 1.004$
 */
#ifndef CLOGGER_HXX_
#define CLOGGER_HXX_

#include <string>

namespace cfp
{
namespace logger
{
	class CLogger;
	
	/**
	 * @brief cfp ロッガー・クラス。
	 * 
	 * CPlusPlusよりログを出力するクラス。
	 */
	class CLogger
	{
	private:
		/** パッケージ名 */
		std::wstring m_strPackageName;
		
	protected:
		
	public:
		CLogger();
		CLogger(std::wstring strPackageName);
		virtual ~CLogger();
		void debug(std::wstring strMessage);
		void error(std::wstring strMessage);
		static CLogger getLogger(std::wstring strPackageName);
		std::wstring getMessage(std::wstring strPrefix
				, std::wstring strMessage);
		bool isDebug();
		bool isError();
		bool isTrace();
		bool isWarn();
		void trace(std::wstring strMessage);
		void warn(std::wstring strMessage);
	};

}
}

#endif /*CLOGGER_HXX_*/
